# $Revision: 1.40.2.1 $, $Date: 2007/03/29 16:36:53 $
Summary:	Displays the users logged into machines on the local network
Summary(de):	Anzeige von Login-Infos fr entfernte Computer
Summary(es):	El cliente rusers
Summary(fr):	Affiche des informations de login pour les machines distantes
Summary(pl):	Wywietla list uytkownikw zalogowanych na komputerach w sieci lokalnej
Summary(pt_BR):	Mostra a informao de login para mquinas remotas
Summary(tr):	A zerindeki makinalardaki kullanclar sorgular
Name:		rusers
Version:	0.17
Release:	22
License:	BSD
Group:		Networking
Source0:	ftp://ftp.linux.org.uk/pub/linux/Networking/netkit/netkit-%{name}-%{version}.tar.gz
# Source0-md5:	dc99a80b9fde2ab427c874f88f1c1602
Source1:	%{name}d.init
Source2:	rstatd.init
Source3:	rstatd.tar.gz
# Source3-md5:	75c1f4b3df318cf509593af1ee1d52e5
Patch0:		netkit-%{name}-numusers.patch
Patch1:		rstatd-jbj.patch
BuildRequires:	procps-devel >= 1:3.2.5-3
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The rusers program allows users to find out who is logged into various
machines on the local network. The rusers command produces output
similar to who, but for the specified list of hosts or for all
machines on the local network.

%description -l de
Mit Hilfe des rusers-Server und Client (beide Teil dieses Pakets) kann
man herausfinden, welche Benutzer an welchen Rechnern im lokalen
Netwerk angemeldet sind.

%description -l fr
Le client et le serveur rusers, tous deux inclus dans ce package,
permettent aux utilisateurs de trouver quels utilisateurs sont
connects sur les diffrentes machines du rseau local.

%description -l pl
Program rusers pozwala uytkownikom sprawdzi kto jest zalogowany na
rnych maszynach w sieci lokalnej. Wynik komendy rusers jest podobne
do komendy who, ale dla okrelonej listy komputerw lub wszystkich
maszyn z sieci lokalnej.

%description -l pt_BR
O programa rusers permite descobrir quem est em vrias mquinas na
rede. O comando rusers fornece uma sada similar a do comando who para
a lista de mquinas especificada ou para todas as mquinas da rede
local.

%description -l tr
Bu pakette yer alan rusers sunucusu ve istemcisi ile bir kullanc a
zerinde bu hizmeti sunan dier makinalardaki kullanclar
sorgulayabilir.

%package -n rusersd
Summary:	Server for the rusers protocol
Summary(es):	El servidor rusers
Summary(pl):	Serwer protokou rusers
Summary(pt_BR):	Servidor para o protocolo rusers
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Obsoletes:	rusers-server

%description -n rusersd
The rusersd package contains the server for responding to rusers
requests.

%description -n rusersd -l es
El servidor rusers incluido en este paquete, permiten ver cual de los
usuarios estn "logados" en otras mquinas de la red.

%description -n rusersd -l pl
Pakiet rusersd zawiera serwer odpowiadajcy na zapytania rusers.

%description -n rusersd -l pt_BR
Servidor para o protocolo rusers.

%package -n rup
Summary:	rstatd client
Summary(pl):	Klient rstatd
Group:		Networking

%description -n rup
rup displays a summary of the current system status of a particular
host or all hosts on the local network. The output shows the current
time of day, how long the system has been up, and the load averages.
The load average numbers give the number of jobs in the run queue
averaged over 1, 5 and 15 minutes.

%description -n rup -l pl
rup wywietla podsumowanie aktualnego stanu systemu dla okrelonego
komputera lub wszystkich z sieci lokalnej. Wyjcie zawiera aktualny
czas, jak dugo system jest wczony i obcienie. Obcienie podawane
jest jako ilo procesw w kolejce rednio w 1, 5 i 15 minut.

%package -n rstatd
Summary:	kernel statistics server
Summary(pl):	Serwer rstatd
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts

%description -n rstatd
rpc.rstatd is a server which returns performance statistics obtained
from the kernel. These statistics are usually read using the rup(1)
command.

%description -n rstatd -l pl
rpc.rstatd to serwer podajcy statystyki wydajnoci pobrane od jdra.
Statystyki te zwykle s czytane komend rup(1).

%prep
%setup -q -n netkit-%{name}-%{version} -a3
%patch0 -p1
%patch1 -p1

%build
./configure

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DGNU_LIBC -D_GNU_SOURCE -D_NO_UT_TIME"

%{__make} -C rpc.rstatd \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LIBS="-lproc"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,8}} \
	$RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

%{__make} install install -C rpc.rstatd \
	INSTALLROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/rusersd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/rstatd

rm -f $RPM_BUILD_ROOT%{_mandir}/man8/{rstatd,rusersd}.8

echo ".so rpc.rstatd.8" > $RPM_BUILD_ROOT%{_mandir}/man8/rstatd.8
echo ".so rpc.rusersd.8" > $RPM_BUILD_ROOT%{_mandir}/man8/rusersd.8

%clean
rm -rf $RPM_BUILD_ROOT

%post -n rusersd
/sbin/chkconfig --add rusersd
%service rusersd restart "rusersd server"

%preun -n rusersd
if [ "$1" = "0" ]; then
	%service rusersd stop
	/sbin/chkconfig --del rusersd
fi

%post -n rstatd
/sbin/chkconfig --add rstatd
%service rstatd restart "rstatd server"

%preun -n rstatd
if [ "$1" = "0" ]; then
	%service rstatd stop
	/sbin/chkconfig --del rstatd
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rusers
%{_mandir}/man1/rusers.1*

%files -n rusersd
%defattr(644,root,root,755)
%attr(754,root,root) %config /etc/rc.d/init.d/rusersd
%attr(755,root,root) %{_sbindir}/rpc.rusersd
%{_mandir}/man8/rpc.rusersd.8*
%{_mandir}/man8/rusersd.8*

%files -n rup
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rup
%{_mandir}/man1/rup.1*

%files -n rstatd
%defattr(644,root,root,755)
%attr(754,root,root) %config /etc/rc.d/init.d/rstatd
%attr(755,root,root) %{_sbindir}/rpc.rstatd
%{_mandir}/man8/rpc.rstatd.8*
%{_mandir}/man8/rstatd.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rusers.spec,v $
Revision 1.40.2.1  2007/03/29 16:36:53  glen
- rel 22 (procps-3.2.7)

Revision 1.40  2006/04/01 21:52:25  glen
- rel 21

Revision 1.39  2006/03/13 22:13:30  glen
- use %service

Revision 1.38  2005/05/21 17:27:34  speedy
- release 20
- BR: procps-devel => 1:3.2.5-3 (fixed devel)

Revision 1.37  2004/08/16 10:57:57  averne
- rel 19

Revision 1.36  2004/04/22 12:10:11  blues
- release 18 for AC - STBR

Revision 1.35  2004/04/22 12:07:45  blues
- release 17 for RA

Revision 1.34  2004/04/07 22:30:22  qboosh
- fixed build on amd64, release 16

Revision 1.33  2003/11/11 01:12:30  ankry
- caps unification

Revision 1.32  2003/08/14 22:15:24  ankry
- sorted descriptions

Revision 1.31  2003/08/12 15:21:42  qboosh
- more specific Requires

Revision 1.30  2003/07/28 14:52:06  blues
- release 15 - BR procps*-devel* >=3.1.11

Revision 1.29  2003/05/28 13:01:43  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:26:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.26  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/01/18 02:14:50  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2002/01/08 15:19:12  qboosh
- rusersd,rstatd: s/postun/preun/ (init script must exist to stop daemon); release 14

Revision 1.23  2001/09/25 16:41:56  kloczek
- bump release to 13,
- added translations stolen from CNV.

Revision 1.22  2001/09/25 13:02:31  qboosh
- fixed postun -n rstatd
- pl descriptions
- release 8

Revision 1.21  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.19  2001/05/02 16:29:12  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.18  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.17  2001/01/25 20:03:48  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.16  2000/10/19 01:22:13  kloczek
- merge old BeroLinux de, fr, tr translations.

Revision 1.15  2000/10/19 01:14:02  kloczek
- release 7,
- rusers, rpc.rusersd, rup and rpc.rstatd now in four separated
  subpackages,
- use CC="%{__cc}" in make parameters because silly configure script uses
  egcs if found.

Revision 1.14  2000/10/10 20:11:56  kloczek
- adapterized, make %{debug} ready and added uing new rpm automation suit
  but still need work on separate clients and servers.

Revision 1.13  2000/09/29 15:40:21  zagrodzki
- buildreq: procps >= 2.0.7

Revision 1.12  2000/09/26 16:25:35  baggins
- finished updated to 0.17
- fixed init scripts

Revision 1.11  2000/08/24 21:27:04  pascalek
- update to 0.17

Revision 1.10  2000/06/12 14:18:48  baggins
- fixed Group
- standarized pre/post scripts

Revision 1.9  2000/06/09 17:41:38  baggins
- updated to 0.16
- added/removed patches

Revision 1.8  2000/06/09 07:55:10  kloczek
- more %{__make} macros.

Revision 1.7  2000/06/09 07:23:59  kloczek
- added using %{__make} macro.

Revision 1.6  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.5  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.3  1999/09/11 14:03:05  misiek
- fixed requires (PR#53)

Revision 1.2  1999/08/24 13:47:36  baggins
- cleanup for PLD (FHS 2.0, macros)

Revision 1.1  1999/08/19 20:07:26  baggins
- almost raw

* Tue Apr  6 1999 Jeff Johnson <jbj@redhat.com>
- add rpc.rstatd (#2000)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- added /etc/rc.d/init.d/functions to the init script

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscript

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- added init script
- users %attr
- supports chkconfig

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
